Skip to main content
`Ctrl`+`K`

# PEPSTOARSetDimensions

Sets the dimensions used for each subsolve step in case of doing spectrum slicing for a computational interval.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSTOARSetDimensions(PEP pep,PetscInt nev,PetscInt ncv,PetscInt mpd)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- nev - number of eigenvalues to compute

- ncv - the maximum dimension of the subspace to be used by the subsolve

- mpd - the maximum dimension allowed for the projected problem

## Options Database Keys

- -pep_stoar_nev nev - sets the number of eigenvalues

- -pep_stoar_ncv ncv - sets the dimension of the subspace

- -pep_stoar_mpd mpd - sets the maximum projected dimension

## Notes

These parameters are relevant only for spectrum slicing runs, that is, when an interval has been given with `PEPSetInterval()` and `STSINVERT` is set. See more details in section Spectrum Slicing for PEP.

The meaning of the parameters is the same as in `PEPSetDimensions()`, but the ones here apply to every subsolve done by the child `PEP` object.

Use `PETSC_DETERMINE` for `ncv` and `mpd` to assign a default value. For any of the arguments, use `PETSC_CURRENT` to preserve the current value.

## See Also

PEP: Polynomial Eigenvalue Problems, Spectrum Slicing for PEP, `PEPSTOAR`, `PEPSTOARGetDimensions()`, `PEPSetDimensions()`, `PEPSetInterval()`

## Level

advanced

## Location

src/pep/impls/krylov/stoar/stoar.c

## Implementations

PEPSTOARSetDimensions_STOAR() in src/pep/impls/krylov/stoar/stoar.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages